ur_rna.RNAstructure.backend

## Class RNABackend

- java.lang.Object
- - ur_rna.RNAstructure.backend.RNABackend

- All Implemented Interfaces:
    RNABackendConstants

      public class RNABackend
      extends java.lang.Object
      implements RNABackendConstants

- - ### Field Summary

    - ### Fields inherited from interface ur_rna.RNAstructure.backend.RNABackendConstants

      `COMPOUNDMESSAGELENGTH, DBN_BIT_MULTI_SEQ, DBN_BIT_MULTI_TITLE, DBN_BIT_SEQ_LABEL, DBN_BIT_SIDE_TITLES, DEFAULT_SHAPE_INTERCEPT, DEFAULT_SHAPE_SLOPE, FILE_CT, FILE_DBN, FILE_PFS, FILE_SAV, FILE_SEQ, SEQUENCE_STRING`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `RNABackend()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static void` | `findPseudoknots(CIntVector currentPairs)`
    `static void` | `findPseudoknots(CIntVector currentPairs, CIntVector pseudoknotPairs)`
    `static void` | `findPseudoknots(CIntVector currentPairs, CIntVector pseudoknotPairs, CIntVector normalPairs)`
    `static java.lang.String` | `getDataPath()`
    `static java.lang.String` | `getDataPath(java.lang.String defaultPath)`
    `static boolean` | `hasPseudoknots(CIntVector pairs)`
    `static void` | `setDataPath(java.lang.String path)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### RNABackend

          public RNABackend()

  - ### Method Detail

    - #### findPseudoknots

          public static void findPseudoknots(CIntVector currentPairs)

    - #### findPseudoknots

          public static void findPseudoknots(CIntVector currentPairs,
                                             CIntVector pseudoknotPairs)

    - #### findPseudoknots

          public static void findPseudoknots(CIntVector currentPairs,
                                             CIntVector pseudoknotPairs,
                                             CIntVector normalPairs)

    - #### getDataPath

          public static java.lang.String getDataPath()

    - #### getDataPath

          public static java.lang.String getDataPath(java.lang.String defaultPath)

    - #### hasPseudoknots

          public static boolean hasPseudoknots(CIntVector pairs)

    - #### setDataPath

          public static void setDataPath(java.lang.String path)